## About

Script: `about`

This check shows a short summary for the current system.
Its status is always OK.

## Requirements

Nothing special.

## Standalone installation

From this repository you need next to this script:

* `inc_pluginfunctions` shared function for all IML checks written in bash

## Syntax

```txt
______________________________________________________________________

ABOUT
v1.3

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3

https://os-docs.iml.unibe.ch/icinga-checks/Checks/about.html
______________________________________________________________________

About ... shows a short summary for the system:

  * perating system
  * cpu
  * ram
  * diskspace
  * checked services

SYNTAX:

  about [-h]

OPTIONS:

  -h, --help 
      this help

```

## Example

```txt
# ./about
debian 12 / 16 cpu / 62.684 GB ram

>>>>>>>>>> CPU: 16
model name      : Intel(R) Xeon(R) CPU E5-2620 v4 @ 2.10GHz

>>>>>>>>>> Memory
RAM total    65729512 kB
Swap         999420 kB

>>>>>>>>>> Disks
Filesystem                       Size  Used Avail Use% Mounted on
/dev/mapper/icinga--01--vg-root  218G   28G  179G  14% /
/dev/sda1                        455M  105M  326M  25% /boot

>>>>>>>>>> Services
Apache-httpd
Carbon-Cache
Cron
Cronjob-watcher
Icinga2
Icinga-Director
Mariadb
PHP-FPM
Postfix
SSH
```
