## Check filesystem errors

Script: `check_fs_errors`

**check_fs_errors** checks if kernel logs inconsistency messages in the journallog.
It requires sudo permission on /bin/journalctl

If it would find error messages it switches to critical and shows the found journallog entries.

## Requirements

* sudo permission on /bin/journalctl to scan for the information

```txt
icingaclient ALL=(ALL) NOPASSWD: /bin/journalctl
```

## Standalone installation

From this repository you need next to this script:

* `inc_pluginfunctions` shared function for all IML checks written in bash

## Syntax

```txt
______________________________________________________________________

CHECK_FS_ERRORS 
v1.4

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3
______________________________________________________________________

Check if kernel logs inconsistency messages in the journallog.
It requires sudo permission on /bin/journalctl

SYNTAX:
check_fs_errors [-h]

OPTIONS:

    -h or --help   show this help.

PARAMETERS:

    none

EXAMPLE:
check_fs_errors
```

### Parameters

(none)

## Examples

`$ check_fs_errors` returns

```txt
OK: check if kernel logs inconsistency messages
```
